Recurring campaigns
GET https://pushye.com/api/recurring-campaigns/
curl --request GET \
--url 'https://pushye.com/api/recurring-campaigns/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://pushye.com/api/recurring-campaigns/' \
--header 'Authorization: Bearer {api_key}' \
| Parâmetros | Detalhes | Descrição |
|---|---|---|
| search | Opcional String | A string de busca. |
| search_by | Opcional String | Qual campo você está pesquisando? Os valores permitidos são: name, title, description, url. |
| website_id | Opcional Inteiro | |
| datetime_field | Opcional String | Valores permitidos: last_run_datetime, next_run_datetime, datetime, last_datetime |
| datetime_start | Opcional String | Filter results starting from this datetime. Y-m-d H:i:s format. |
| datetime_end | Opcional String | Filter results up to this datetime. Y-m-d H:i:s format. |
| order_by | Opcional String | Qual campo ordenar os resultados. Os valores permitidos são: recurring_campaign_id, datetime, last_datetime, last_run_datetime, next_run_datetime, name, title, total_campaigns, total_push_notifications, total_sent_push_notifications, total_displayed_push_notifications, total_clicked_push_notifications, total_closed_push_notifications. |
| order_type | Opcional String | A ordenação dos resultados. Os valores permitidos são: ASC para ordenação ascendente e DESC para ordenação descendente. |
| page | Opcional Inteiro | O número da página de onde você deseja os resultados. O padrão é 1. |
| results_per_page | Opcional Inteiro | Quantos resultados você deseja por página. Os valores permitidos são: 10, 25, 50, 100, 250, 500, 1000. O padrão é 25. |
{
"data": [
{
"id": 1,
"user_id": 1,
"website_id": 1,
"name": "Example",
"title": "Sample message",
"description": "This is coming from the API.",
"url": "https://example.com",
"image_url": null,
"settings": {
"ttl": 2419200,
"urgency": "normal",
"is_silent": 0,
"is_auto_hide": 0,
"button_title_1": "",
"button_url_1": "",
"button_title_2": "",
"button_url_2": "",
"frequency": "daily,
"time": 10:25,
},
"segment": "all",
"is_enabled": true,
"total_sent_push_notifications": 0,
"total_displayed_push_notifications": 0,
"total_clicked_push_notifications": 0,
"total_closed_push_notifications": 0,
"last_sent_datetime": null,
"last_datetime": null,
"datetime": "2026-04-28 17:00:27",
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://pushye.com/api/recurring-campaigns?page=1",
"last": "https://pushye.com/api/recurring-campaigns?page=1",
"next": null,
"prev": null,
"self": "https://pushye.com/api/recurring-campaigns?page=1"
}
}
GET https://pushye.com/api/recurring-campaigns/{recurring_campaign_id}
curl --request GET \
--url 'https://pushye.com/api/recurring-campaigns/{recurring_campaign_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://pushye.com/api/recurring-campaigns/{recurring_campaign_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"user_id": 1,
"website_id": 1,
"name": "Example",
"title": "Sample message",
"description": "This is coming from the API.",
"url": "https://example.com",
"image_url": null,
"settings": {
"ttl": 2419200,
"urgency": "normal",
"is_silent": 0,
"is_auto_hide": 0,
"button_title_1": "",
"button_url_1": "",
"button_title_2": "",
"button_url_2": "",
"frequency": "daily,
"time": 10:25,
},
"segment": "all",
"is_enabled": true,
"total_sent_push_notifications": 0,
"total_displayed_push_notifications": 0,
"total_clicked_push_notifications": 0,
"total_closed_push_notifications": 0,
"last_sent_datetime": null,
"last_datetime": null,
"datetime": "2026-04-28 17:00:27",
}
}
POST https://pushye.com/api/recurring-campaigns
| Parâmetros | Detalhes | Descrição |
|---|---|---|
| website_id | Requerido Inteiro | - |
| name | Requerido String | - |
| title | Requerido String | - |
| description | Requerido String | - |
| url | Opcional String | - |
| image | Opcional Arquivo | - |
| button_title_1 | Opcional String | - |
| button_url_1 | Opcional String | - |
| button_title_2 | Opcional String | - |
| button_url_2 | Opcional String | - |
| is_silent | Opcional Boolean | - |
| is_auto_hide | Opcional Boolean | - |
| ttl | Opcional String | Valores permitidos: 0, 900, 1800, 3600, 10800, 21600, 43200, 86400, 259200, 432000, 604800, 1209600, 2419200 |
| utm_source | Opcional String | - |
| utm_medium | Opcional String | - |
| utm_campaign | Opcional String | - |
| frequency | Opcional String | Valores permitidos: daily, weekly, monthly |
| week_days | Opcional String |
Valores permitidos: 1, 2, 3, 4, 5, 6, 7 Disponível quando: frequency = weekly |
| month_days | Opcional String |
Valores permitidos: 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31 Disponível quando: frequency = monthly |
| time | Opcional String | HH:II |
| is_enabled | Opcional Boolean | - |
curl --request POST \
--url 'https://pushye.com/api/recurring-campaigns' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example name' \
--form 'website_id=1' \
--form 'title=Example title' \
--form 'description=Example description' \
--form 'segment=all' \
--form 'frequency=daily' \
--form 'time=12:15' \
--url 'https://pushye.com/api/recurring-campaigns' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example name' \
--form 'website_id=1' \
--form 'title=Example title' \
--form 'description=Example description' \
--form 'segment=all' \
--form 'frequency=daily' \
--form 'time=12:15' \
{
"data": {
"id": 1
}
}
POST https://pushye.com/api/recurring-campaigns/{recurring_campaign_id}
| Parâmetros | Detalhes | Descrição |
|---|---|---|
| website_id | Opcional Inteiro | - |
| name | Opcional String | - |
| title | Opcional String | - |
| description | Opcional String | - |
| url | Opcional String | - |
| image | Opcional Arquivo | - |
| button_title_1 | Opcional String | - |
| button_url_1 | Opcional String | - |
| button_title_2 | Opcional String | - |
| button_url_2 | Opcional String | - |
| is_silent | Opcional Boolean | - |
| is_auto_hide | Opcional Boolean | - |
| ttl | Opcional String | Valores permitidos: 0, 900, 1800, 3600, 10800, 21600, 43200, 86400, 259200, 432000, 604800, 1209600, 2419200 |
| utm_source | Opcional String | - |
| utm_medium | Opcional String | - |
| utm_campaign | Opcional String | - |
| frequency | Opcional String | Valores permitidos: daily, weekly, monthly |
| week_days | Opcional String |
Valores permitidos: 1, 2, 3, 4, 5, 6, 7 Disponível quando: frequency = weekly |
| month_days | Opcional String |
Valores permitidos: 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31 Disponível quando: frequency = monthly |
| time | Opcional String | HH:II |
| is_enabled | Opcional Boolean | - |
curl --request POST \
--url 'https://pushye.com/api/recurring-campaigns/{recurring_campaign_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example name' \
--form 'website_id=1' \
--form 'title=Example title' \
--form 'description=Example description' \
--form 'segment=all' \
--url 'https://pushye.com/api/recurring-campaigns/{recurring_campaign_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example name' \
--form 'website_id=1' \
--form 'title=Example title' \
--form 'description=Example description' \
--form 'segment=all' \
{
"data": {
"id": 1
}
}
DELETE https://pushye.com/api/recurring-campaigns/{recurring_campaign_id}
curl --request DELETE \
--url 'https://pushye.com/api/recurring-campaigns/{recurring_campaign_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://pushye.com/api/recurring-campaigns/{recurring_campaign_id}' \
--header 'Authorization: Bearer {api_key}' \